# Disconnecting a client from a server

## SYNOPSIS

#include <libmemcached/memcached.h>

  Compile and link with -lmemcached

void memcached_quit(memcached_st *ptr)
  Parameters:

    ptr -- pointer to initialized `memcached_st` struct

## DESCRIPTION

`memcached_quit()` will disconnect you from all currently connected servers. It will also reset the state of the connection (i.e., any `memcached_fetch()` you are in the middle of will be terminated). This function is called automatically when you call `memcached_free()` on the `memcached_st` structure.

You do not need to call this on your own. All operations to change server hashes and parameters will handle connections to the server for you. This function is provided mainly so that you can timeout your connections or reset connections during the middle of a `memcached_fetch()`.

## RETURN VALUE

A value of type `memcached_return_t` is returned On success that value will be `MEMCACHED_SUCCESS`. Use `memcached_strerror()` to translate this value to a printable string.

## SEE ALSO

- memcached(1)

- C/C++ Client Library for memcached

- Converting Error Codes to Messages